import React from "react";

import styles from "./CenterComponentWrapper.module.css";

type FullComponentWrapperProps = {
  children: React.ReactNode;
  heading: string;
  body: string;
};

export function CenterComponentWrapper({
  heading,
  body,
  children,
}: FullComponentWrapperProps) {
  return (
    <section className={styles.wrapper}>
      <div>
        <h3>{heading}</h3>
        <p>{body}</p>
      </div>
      <div className={styles.graphWrapper}>{children}</div>
    </section>
  );
}
